TRUNCATE(1)

NAVN
truncate - shrink or extend the size of a file to the specified size

SYNOPSIS
truncate FLAG... FIL...

BESKRIVELSE

Formindsk eller udvid størrelsen af hver FIL til den angivne størrelse

Et FIL-argument som ikke findes, oprettes.

If a FILE is larger than the specified size, the extra data is lost. If a FILE is shorter, it is extended and the sparse extended part (hole) reads as zero bytes.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-c, --no-create
    opret ikke nogen filer

-o, --io-blocks
    fortolk STØR som antal IO-blokke frem for byte

-r, --reference=RFIL
    basér størrelsen på RFIL

-s, --size=STØR
    angiv eller justér filstørrelsen med STØR byte

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

Argumentet STØR er et heltal med eventuel enhed (f.eks.: 10K er 10*1024). Enheder er K,M,G,T,P,E,Z,Y (potens af 1024) eller KB,MB,... (potens af 1000). Binært præfiks kan også bruges: KiB=K, MiB=M og så videre.

STØR kan også følge efter et af følgende ændringstegn: "+" udvid med,"-" formindsk med, "<" højst, ">" mindst, "/" rund ned til multiplum af, "%" rund op til multiplum af.

FORFATTER
Skrevet af Padraig Brady.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/>

OPHAVSRET
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er frit programmel: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
dd(1), truncate(2), ftruncate(2)

Fuld dokumentation <https://www.gnu.org/software/coreutils/truncate>
eller lokalt tilgængelig via: info '(coreutils) truncate invocation'

OVERSÆTTELSE
De oversatte denne manual til dansk Denne oversættelse er gratis dokumentation; læs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for copyrightbetingelser. Der er INGEN ANSVAR. Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en e-mail til TODO.